### Method

# Gio Proxy supports_hostname

since: 2.26

#### Declaration [src]

    gboolean
    g_proxy_supports_hostname (
      GProxy* proxy
    )

#### Description [src]

Some proxy protocols expect to be passed a hostname, which they will resolve to an IP address themselves. Others, like SOCKS4, do not allow this. This function will return `FALSE` if `proxy` is implementing such a protocol. When `FALSE` is returned, the caller should resolve the destination hostname first, and then pass a `GProxyAddress` containing the stringified IP address to `g_proxy_connect()` or g_proxy_connect_async().

Available since: 2.26

#### Return value

Type: `gboolean`

`TRUE` if hostname resolution is supported.